/**
 * Custom element `<skribbl-player-icon>` to remember how the player looks like and for configuration.
 */
 export default class SkribblPlayerIcon extends HTMLElement {
	constructor(){
		super();
		this.attachShadow({mode:"open"});
		this.shadowRoot.innerHTML = `
			<style>
				:host {
					display: block;
					position: relative;
					overflow: hidden;
					background: #ffffff;
					border-radius: 5px;
				}
				.container-character{
					background:url("/res/pi.gif");
					background-size:contain;
					background-repeat: no-repeat;
				}
                .character-eyes{
					height: 34px;
					width: 68px;
					background:url("/res/MouthsAndEyes.gif");
					background-position: 25px 18px;
					background-repeat: no-repeat;
				}
				.character-mouth{
					height: 34px;
					width: 68x;
					background:url("/res/MouthsAndEyes.gif");
					background-position: 24px -32px;
					background-repeat: no-repeat;
				}
			</style>

			<div class="container-character">
			<div id="eyes" class="character-eyes"  alt="CharacterLook"></div>
			<div id="mouth" class="character-mouth"  alt="CharacterLook"></div>
			</div>
		`;
		this.eyesDisplacement = 10;
		this.mouthDisplacement = 0;
	}

	/** @param {boolean} toTheRight */
	changeEye(toTheRight) {
		let displacement = 38;
		if (toTheRight){
			this.eyesDisplacement += displacement;
		}else{
			this.eyesDisplacement -= displacement;
		}
		if(this.eyesDisplacement>266){
			this.eyesDisplacement = 10;
		}
		const eye = this.shadowRoot.getElementById("eyes");
		eye.style.backgroundPositionX = this.eyesDisplacement+"px";
	}

	/** @param {boolean} toTheRight */
	changeMouth(toTheRight) {
		let displacement = 38;

		if (toTheRight){
			this.mouthDisplacement += displacement;
		}else{
			this.mouthDisplacement -= displacement;
		}
		if(this.mouthDisplacement>266){
			this.mouthDisplacement = 0;
		}
		const mouth = this.shadowRoot.getElementById("mouth");
		mouth.style.backgroundPositionX = this.mouthDisplacement+"px";
	}
}


customElements.define("skribbl-player-icon",SkribblPlayerIcon);
